﻿using System;
using System.Linq;
using System.IO;

namespace erettsegi01_Lotto
{
    class erettsegi01_Lotto
    {
        static bool prime(int n)
        {
            int osz=0;
            for (int i = 1; i <= n; i++) if (n % i ==0) osz++;
            return osz==2;
        }
            

        static void Main()
        {
            #region 1. feladat: 52.hét adatainak bekérése
            Console.WriteLine("\n1. Feladat: Az 52. hét adatai:");
            byte[] het52 = new byte[5]; // Lottószámok tárolása
            for (int i = 0; i < 5; ++i)
            {
                Console.WriteLine("Kérem az 52. hét {0}. számát:",i+1);
                het52[i] = byte.Parse(Console.ReadLine());
            }
            #endregion

            #region 2. feladat: 52.hét adatainak rendezése, kiiratása
            Console.WriteLine("\n2. Feladat: Az 52. hét adatainak rendezése:");
            Array.Sort(het52); // Rendezés :-)
            for (int i = 0; i < 5; ++i) Console.Write("{0}, ", het52[i]);
            Console.WriteLine();
            #endregion

            # region 3. feladat: Hét sorszámának bekérése
            Console.WriteLine("\n3. Feladat: Kérem a vizsgált hét sorszámát:");
            byte vhet = byte.Parse(Console.ReadLine());
            #endregion

            # region 4. feladat: Számok beolvasása, vhét számainak kiiratása
            Console.WriteLine("\n4. Feladat: Vizsgált hét lottószámai:");

            byte[,] elsz = new byte[52, 5]; //mátrix (2D tömb)
            using (StreamReader sr = new StreamReader(@"lottosz.dat"))
            {
                for (int i = 0; i < 51; ++i)//Külső ciklus
                {
                    string s = sr.ReadLine(); //Egy hét 5 számát olvassa egy sztringbe (egy sort)
                    string[] szamok = s.Split(' '); // Minden szám külön "rekeszbe" kerül
                    for (int j = 0; j < 5; ++j) //belső (beágyazott) ciklus
                        elsz[i, j] = byte.Parse(szamok[j]);
                }
            }

            //52.hét adatainak feltöltése a mátrixba
            for (int i = 0; i < 5; ++i) elsz[51, i] = het52[i];

            for (int i = 0; i < 5; ++i) Console.Write("{0} ,",elsz[vhet-1,i]);
            Console.WriteLine();
            #endregion

            #region 5. feladat: Volt-e olyan szám az 51 hét alatt, amit nem húztak ki?
            Console.WriteLine("\n5. Feladat: Volt-e olyan szám az 51 hét alatt, amit nem húztak ki?");
            bool[] lsz = new bool[90]; //Segéd tömb a vizsgálathoz
            for (int i = 0; i < 51; ++i)//Külső ciklus
                for (int j = 0; j < 5; ++j) //Belső ciklus
                    lsz[elsz[i, j] - 1] = true;
            Console.WriteLine( lsz.Contains(false) ? "Van!": "Nincs!");
            #endregion

            #region 6. feladat: Páratlan számok darabszáma
            Console.WriteLine("\n6. Feladat: Páratlan számok darabszáma");
            int pszdb = 0;
            for (int i = 0; i < 52; ++i)//Külső ciklus
                for (int j = 0; j < 5; ++j) //Belső ciklus
                    if (elsz[i, j] % 2 == 1) ++pszdb;
            Console.WriteLine("Páratlan számok: {0}",pszdb);
            #endregion

            #region 7. feladat: Fájlkezelés (uj fájl)
            Console.WriteLine("\n7. Feladat: Fájlkezelés");
            using (StreamWriter sw = new StreamWriter(@"lotto52.ki"))
            {
                for (int i = 0; i < 52; ++i)//Külső ciklus
                {
                    string ski = "";
                    for (int j = 0; j < 5; ++j) ski += elsz[i, j] + " ";
                    sw.WriteLine(ski);
                }
            }
            #endregion

            #region  8. feladat: Statisztika
            Console.WriteLine("\n8. Feladat: Statisztika");
            byte[] lottoszamok = new byte[90];
            for (int i = 0; i < 52; ++i)//Külső ciklus
                for (int j = 0; j < 5; ++j) //Belső ciklus
                    ++lottoszamok[elsz[i, j] - 1];
            for (int i = 0; i < 90; ++i)
            {
                Console.Write("{0} ", lottoszamok[i]);
                if ((i + 1) % 15 == 0) Console.WriteLine();
            }
            #endregion

            #region 9. feladat: Melyik prímszámok nem lettek kihúzva?
            Console.WriteLine("\n9. Feladat: Melyik prím nem lett kihúzva");
            for (int i = 0; i < 90; ++i)
                if (prime((i + 1)) && lottoszamok[i] == 0) Console.WriteLine(i+1);
            #endregion
            Console.ReadKey();
        }
    }
}
